USTREAMER-DUMP(1)

NAME
ustreamer-dump - Dump uStreamer's memory sink to file

SYNOPSIS
ustreamer-dump [OPTIONS]

DESCRIPTION
µStreamer-dump (ustreamer-dump) writes a local stream from ustreamer to a file or redirect it to other utilities (such as ffmpeg).

USAGE
ustreamer requires at least the --sink option to operate.

To output ustreamers sink "test" to ffmpeg, and into a file called test.mp4:

ustreamer-dump \
    --sink=test \ # Use ustreamer sink "test"
    --output - \ # Output to stdout
    | ffmpeg -use_wallclock_as_timestamps 1 -i pipe: -c:v libx264 test.mp4

OPTIONS

  Sink options

-s, --sink name
    Memory sink ID. No default.

-t, --sink-timeout sec
    Timeout for the upcoming frame. Default: 1.

-o, --output filename
    Filename to dump output to. Use '-' for stdout. Default: just consume the sink.

-j, --output-json
    Format output as JSON. Required option --output. Default: disabled.

-c, --count N
    Limit the number of frames. Default: 0 (infinite).

-i, --interval sec
    Delay between reading frames (float). Default: 0.

  Logging options

--log-level N
    Verbosity level of messages from 0 (info) to 3 (debug). Enabling debugging messages can slow down the program. Available levels: 0 (info), 1 (performance), 2 (verbose), 3 (debug). Default: 0.

--perf
    Enable performance messages (same as --log-level=1). Default: disabled.

--verbose
    Enable verbose messages and lower (same as --log-level=2). Default: disabled.

--debug
    Enable debug messages and lower (same as --log-level=3). Default: disabled.

--force-log-colors
    Force color logging. Default: colored if stderr is a TTY.

--no-log-colors
    Disable color logging. Default: ditto.

  Help options

-h, --help
    Print this text and exit.

-v, --version
    Print version and exit.

SEE ALSO
ustreamer(1)

BUGS
Please file any bugs and issues at https://github.com/pikvm/ustreamer/issues

AUTHOR
Maxim Devaev <mdevaev@gmail.com>

HOMEPAGE
https://pikvm.org/

COPYRIGHT
GNU General Public License v3.0